#include "player.h"

void player_spawn(Player* self, Vector at) {
    self->transform.position = at;
}

void player_start(Player* self) {
    self->transform = IdentityTransform;
}

void player_update(Player* self, float dt) {
    
}

Sprite* player_get_sprite(Player* self) {
    return self->sprite;
}

Transform* player_get_transform(Player* self) {
    return &self->transform;
}

RigidBody* player_get_rigidbody(Player* self) {
    return self->rigidbody;
}

Shape* player_get_shape(Player* self) {
    return self->shape;
}

Vector* player_get_position(Player* self) {
    return &self->transform.position;
}

Vector* player_get_scale(Player* self) {
    return &self->transform.scale;
}

float* player_get_rotation(Player* self) {
    return &self->transform.rotation;
}
